org.keycloak.authentication.authenticators.conditional

## Interface ConditionalAuthenticator

- All Superinterfaces:
    Authenticator, Provider
  All Known Implementing Classes:
    ConditionalRoleAuthenticator, ConditionalUserConfiguredAuthenticator

      public interface ConditionalAuthenticator
      extends Authenticator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `authenticate(AuthenticationFlowContext context)` Initial call for the authenticator.
    `default boolean` | `configuredFor(KeycloakSession session, RealmModel realm, UserModel user)` Is this authenticator configured for this user.
    `boolean` | `matchCondition(AuthenticationFlowContext context)`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `action, areRequiredActionsEnabled, getRequiredActions, requiresUser, setRequiredActions`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### matchCondition

          boolean matchCondition(AuthenticationFlowContext context)

    - #### authenticate

          default void authenticate(AuthenticationFlowContext context)

      Description copied from interface: `Authenticator`
      Initial call for the authenticator. This method should check the current HTTP request to determine if the request satifies the Authenticator's requirements. If it doesn't, it should send back a challenge response by calling the AuthenticationFlowContext.challenge(Response). If this challenge is a authentication, the action URL of the form must point to /realms/{realm}/login-actions/authenticate?code={session-code}&execution={executionId} or /realms/{realm}/login-actions/registration?code={session-code}&execution={executionId} {session-code} pertains to the code generated from AuthenticationFlowContext.generateAccessCode(). The {executionId} pertains to the AuthenticationExecutionModel.getId() value obtained from AuthenticationFlowContext.getExecution(). The action URL will invoke the action() method described below.
      Specified by:
        `authenticate` in interface `Authenticator`

    - #### configuredFor

          default boolean configuredFor(KeycloakSession session,
                                        RealmModel realm,
                                        UserModel user)

      Description copied from interface: `Authenticator`
      Is this authenticator configured for this user.
      Specified by:
        `configuredFor` in interface `Authenticator`
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.